<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <style>
        body {
            text-align: center
        }
    </style>
</head>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.min.js"></script>

<body>

<div>
    <p style="text-align: center;">
        <img th:src="'data:image/png;base64,' + ${QrCode}"/>
    </p>
    <div id="state"></div>

    <script th:inline="javascript">
        const home_url = "http://localhost:8080/index";
        const stateTag = document.getElementById('state');
        const path = "http://localhost:8080/login";
        const uuid = [[${uuid}]];
        console.log(uuid);
        getQrState(path + "/getQrCodeState/" + uuid)

        function getQrState(url) {
            $.ajax({
                type: "get",
                url: url,
                success: function (response) {
                    if (response == null) {
                        console.log("unexpected error");
                    }
                    if (response["data"] != null) {
                        // 如果未扫码则继续轮询
                        const status = response["data"]["status"];
                        if(status === -1){
                            stateTag.innerText = response["msg"];                        }
                        if (status === 0) {
                            getQrState(url);
                        } else if (status === 1) {
                            // 正在扫码
                            console.log("scanning");
                            stateTag.innerText = response["msg"];
                            getQrState(url);
                        } else {
                            // 完成扫码
                            console.log("logged");
                            const token = response["data"]["token"];
                            window.localStorage.setItem("access_token", token);
                            window.location.href = home_url;
                        }
                    }
                }
            })
        }
    </script>
</div>
</body>
</html>